> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api.md).

# JavaScript API

Use the relevantDigital JavaScript API to load ads and extend HB Manager behavior. Start with the API overview, then choose a guide for configuration, events, video, or single-page applications.

### Start here

* [JavaScript API overview](/technical/integration/javascript-api/javascript-api-overview.md) — Review the available public API functions.
* [relevantDigital.loadPrebid()](/technical/integration/javascript-api/relevantdigital.loadprebid.md) — Load ads with HB Manager.

### Configure and observe auctions

* [relevantDigital.addPrebidConfig()](/technical/integration/javascript-api/relevantdigital.addprebidconfig.md) — Apply Prebid configuration through the API.
* [relevantDigital.addAmazonConfig()](/technical/integration/javascript-api/relevantdigital.addamazonconfig.md) — Configure Amazon UAM or TAM through the API.
* [relevantDigital.addAuctionCallbacks()](/technical/integration/javascript-api/relevantdigital.addauctioncallbacks.md) — Register global auction callbacks.
* [relevantDigital.addAdsCallbacks()](/technical/integration/javascript-api/relevantdigital.addadscallbacks.md) — Receive consistent ad events across ad servers.

### Support video and dynamic pages

* [relevantDigital.defineVideoSlots()](/technical/integration/javascript-api/relevantdigital.definevideoslots.md) — Define video slots for header bidding.
* [relevantDigital.loadVideoUrls()](/technical/integration/javascript-api/relevantdigital.loadvideourls.md) — Load VAST URLs for configured video slots.
* [relevantDigital.destroySlots()](/technical/integration/javascript-api/relevantdigital.destroyslots.md) — Clean up slots during single-page application navigation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
